import javax.rmi.PortableRemoteObject;
import java.rmi.server.*;
import java.rmi.*;

public class Control extends PortableRemoteObject implements IControl {
	private String ident;
	
	public Control(String ident) throws RemoteException {
		super();
		this.ident = ident;
	}
	
	public String getID() {
		return ident;
	}
	
	public void Talk(String ident, String text) {
		System.out.println(ident + ": " + text);
	}

}
