import javax.rmi.PortableRemoteObject;
import java.rmi.server.*;
import java.rmi.*;
import java.util.*;
import javax.naming.*;

import javax.naming.InitialContext;
import javax.naming.Context;
import com.sun.corba.se.internal.POA.POAORB;
import org.omg.PortableServer.*;
import org.omg.CORBA.*;
import javax.rmi.CORBA.Stub;
import javax.rmi.CORBA.Util;

public class ChatServer extends PortableRemoteObject implements IChatServer {
	Vector users = new Vector();
	
	public ChatServer() throws RemoteException {
		super();
	}

	public void Connectar(IControl ctrl) {
		users.add(ctrl);
	}

	public void Desconnectar(IControl ctrl) {
		users.remove(ctrl);
	}

	public String[] usuaris() {
		String[] result = new String[users.size()];
		int i = 0;
		
		Iterator it = users.iterator();
		while (it.hasNext()) {
			IControl ctrlElement = (IControl)it.next();
			try {
				String id = ctrlElement.getID();
				result[i] = id;
				i++;
			} catch (RemoteException e){
				users.remove(ctrlElement);
				System.out.println("Cleaned!");
			}
		}

		return result;
	}

	public void Enviar(IControl ctrl, String missatge) {
		IControl ctrlElement;
		
		Iterator it = users.iterator();
		while (it.hasNext()) {
			ctrlElement = (IControl)it.next();
			try {
				ctrlElement.Talk(ctrl.getID(), missatge);
			} catch (RemoteException e) {
				// User not online
				users.remove(ctrlElement);
				System.out.println("Cleaned!");
				//e.printStackTrace();
			}
		}
	}
}

